Attach a cloud volume to a cloud instance
POST/v1/cloud_block_storage/volumes/{volume_id}/attach
Use a POST request to /v1/cloud_block_storage/volumes/{volume_id}/attach for attaching a volume to the instance. The volume ID has to be specified in the path parameter; the instance ID should be mentioned in the query parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
volume_id | stringA unique identifier of a volume. |
Request Body
| Field | Details |
|---|---|
instance_id | stringInstance |
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_block_storage/volumes/Jrb2KdWL/attach" \ -H "Content-Type: application/json" \ -d '{ "instance_id": "openRe7A" }'{ "id": "Jrb2KdWL", "openstack_uuid": "e85098b8-ad08-4b0b-9779-0e05ffdb4ddd", "region_id": 0, "region_code": "NL01", "name": "name470", "size": 1, "status": "attaching", "created_at": "2025-12-31T00:00:00Z", "bootable": false, "labels": {}, "attachments": [ { "instance_id": "openRe7A", "instance_name": "name471", "device": "/dev/hdd0", "id": "e85098b8-ad08-4b0b-9779-0e05ffdb4ddd" } ], "description": "test volume"}